/************************************************************************
 *   IRC - Internet Relay Chat, include/elite.h
 *   Copyright (C) 1999 Chris Wolkowski
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "cfgopts.h"

extern	int 		read_options(void);
extern	char		ircnetwork[512], defserv[512], services_name[512], locop_host[512];
extern	char		oper_host[512], admin_host[512], sadmin_host[512], techadmin_host[512];
extern	char		coadmin_host[512], netadmin_host[512], kline_address[512];
extern	char		hidden_host[512], netdomain[512], helpchan[512], net_quit[512];
extern	char		ircserver[512], ChanServ[512], MemoServ[512], NickServ[512];
extern	char		OperServ[512], HelpServ[512], scoadmin_host[512];
extern	char		exit_clientexit[512], exit_deadsocket[512], exit_glined[512];
extern	char		exit_proxy[512], exit_banned[512], exit_pingtimeout[512];
extern	char		exit_serverfull[512], exit_noauth[512], exit_excessflood[512];
extern	char		exit_badpassword[512], exit_serverban[512], exit_glined[512];
extern	char		exit_rlined[512], exit_zlined[512], exit_invalidusername[512];
extern	char		exit_badnick[512], exit_collision[512], exit_overridden[512];
extern	char		exit_lostuserfield[512], exit_collisionghost[512], topic_nick_char[10];
extern	char		exit_noNline[512], exit_noCline[512], exit_serverexists[512];
extern	char		exit_nickasserver[512], exit_leafonly[512], exit_toomanyservers[512];
extern	char		exit_qlinedserver[512], exit_lostNline[512], exit_fakeprefix[512];
extern	char		exit_noCNconflines[512], exit_imaleaf[512], exit_baduser[512];
extern	char		exit_operclosing[512], exit_nopermission[512], exit_fakedirection[512];
extern	char		exit_collisionoverruled[512], exit_disallowedconnectionrule[512];
extern	char		rep_string[512], *replace_string, swearban_list[52][15];
extern	int		TARGET_DELAY, MAXIMUM_LINKS, TIMESEC, KILLCHASETIMELIMIT;
extern	int		NICK_DELAY_TIME, PORTNUM, PINGFREQUENCY, CONNECTFREQUENCY, CONNECTTIMEOUT;
extern	int		MAXCHANNELSPERUSER;
extern	Boolean_T	NEWHOST, MODE_X, HUB, SHOWOPERS, THEOPERMOTD;
extern	Boolean_T	CRYPT_OPER_PASSWORD, CRYPT_LINK_PASSWORD, CHATOPS, ADMINCHAT;
extern	Boolean_T	HOSTILENAME, FORCE_CORE, FAILOPER_WARN, SHOW_PASSWORD;
extern	Boolean_T	SHOW_INVISIBLE_LUSERS, NO_DEFAULT_INVISIBLE, NICK_DELAY;
extern	Boolean_T	IDLE_FROM_MSG, IRCII_KLUDGE, SHOWCONNECTINFO;

extern  char *crypt();

static char buf[BUFSIZE], buf2[BUFSIZE];
static int user_modes[]      = { UMODE_OPER, 'o',
                                 UMODE_LOCOP, 'O',
                                 UMODE_INVISIBLE, 'i',
                                 UMODE_WALLOP, 'w',
                                 UMODE_FAILOP, 'g',
                                 UMODE_HELPOP, 'h',
                                 UMODE_SERVNOTICE, 's',
                                 UMODE_KILLS, 'k',
                                 UMODE_SERVICES, 'S',
                                 UMODE_SADMIN, 'a',
                                 UMODE_ADMIN, 'A',
                                 UMODE_NETADMIN, 'N',
                                 UMODE_TECHADMIN, 'T',
                                 UMODE_CLIENT, 'c',
                                 UMODE_COADMIN, 'C',
                                 UMODE_FLOOD, 'f',
                                 UMODE_REGNICK, 'r',
                                 UMODE_HIDE,    'x',
                                 UMODE_EYES,    'e',
                                 UMODE_VIRTUAL, 'V',
                                 UMODE_CHATOP, 'b',
                                 UMODE_SCOADMIN, 'Y',
                                 UMODE_STRIPCODES, 't',
                                 UMODE_DEAF, 'd',
                                 UMODE_QLINE, 'q',
                                 UMODE_BAD, 'B',
                                 UMODE_WEBTV, 'W',
                                 UMODE_BLOCKCODES, 'Q',
                                 0, 0 };
                                 
                                 
